@charset "UTF-8";

@import "fonts.css";
@import "constants.css";
@import "colors.css";
@import "responsive.css";

* {
    font-family: "Font-Lato", sans-serif;
    font-size: var(--font-default);
    font-weight: normal;
    color: var(--text-color);
}

body {
    display: flex;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    margin: 0;
}

.btn {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    opacity: 1;
}

.btn:hover {
    cursor: pointer;
    opacity: 0.8;
}

.btn-dark {
    border-radius: var(--radius-md);
    border-style: none;
    background-color: var(--btn-dark-bg);
    color: var(--btn-dark-text);
    padding: var(--spacing-sm) var(--spacing-xxl);
    gap: var(--spacing-xs);
    font-size: var(--font-md);
}

.btn-light {
    border-radius: var(--radius-md);
    border-style: none;
    background-color: var(--btn-light-bg);
    color: var(--btn-light-text);
    gap: var(--spacing-xs);
    font-size: var(--font-md);
}

.btn-line {
    border-radius: var(--radius-xl);
    border-style: solid;
    border-color: var(--btn-dark-bg);
    background-color: transparent;
    color: var(--text-color);
    padding: var(--spacing-xs) var(--spacing-sm) var(--spacing-xs) var(--spacing-lg);
    gap: var(--spacing-md);
}

.btn-icon-circle {
    border-radius: 50%;
    background-color: var(--btn-dark-bg);
    padding: var(--spacing-sm);
    display: flex;
}

.site-container {
    background-color: var(--page-bg);
    text-align: center;
}

.header-content {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: var(--spacing-md);
}

.header-content .pets {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: flex-start;
}

.header-content .pets .pet {
    width: min-content;
    text-align: left;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: var(--spacing-md);
}

.functionality {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    column-gap: var(--spacing-xl);
    margin-top: var(--spacing-lg);
}

.functionality .functionality-item {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: var(--spacing-md);
    margin: var(--spacing-md);
}

.details {}

.details-content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: stretch;
    margin: var(--spacing-lg) 0;
}

.detail-item {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: flex-start;
    align-content: center;
    background-color: var(--widget-bg-dark);
    border-radius: var(--radius-md);
    text-align: left;
}

.detail-item h5 {
    color: var(--text-color-light);
}

.detail-item p {
    color: var(--text-color-light);
    margin: 0;
}

.detail-item-list {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: flex-start;
    justify-content: flex-start;
    gap: var(--spacing-sm);
    margin: var(--spacing-md) 0;
}

.detail-item-list img {
    width: var(--list-icon-size);
}

.detail-item-list-item {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: var(--spacing-xs);
}

.how-works {}

.how-works-list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    margin: var(--spacing-lg) 0;
}

.how-works-item {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: flex-start;
    align-content: center;
    text-align: left;
    border-bottom: 2px solid var(--line-color);
    gap: var(--spacing-sm);
}

.how-works-item-line {
    background-color: var(--line-color);
    height: var(--line-height);
    width: var(--line-width);
    text-align: left;
    margin: 0px;
    border-radius: var(--line-radius);
}

.action-banner {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
}

.action-banner-content {
    width: fit-content;
    background-color: var(--widget-bg-dark);
    border-radius: var(--radius-md);
    padding: var(--spacing-lg) var(--spacing-md);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    flex-direction: column;
    gap: var(--spacing-lg);
}

.action-banner h4,
.action-banner p {
    color: var(--text-color-light);
}

.action-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    align-items: flex-start;
    gap: var(--spacing-lg);
}

.action-item {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: flex-start;
    gap: var(--spacing-sm);
    flex: 0 0 40%;
    text-align: left;
}


footer {
    width: 100%;
    border-top-width: 2px;
    border-top-style: solid;
    border-image: linear-gradient(to right, transparent, var(--line-color), transparent) 0.5;
}

.footer-content {
    padding: var(--spacing-lg) var(--spacing-xl);
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
}

.footer-logo {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
}